Name:           python-excitingtools
Version:        1.8.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Utilities for aiding in the construction of exciting inputs and the postprocessing exciting outputs.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/exciting/excitingtools
Source:         %{pypi_source excitingtools}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'excitingtools' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-excitingtools
Summary:        %{summary}

%description -n python3-excitingtools %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-excitingtools dev,h5-parsing,schemaparsing


%prep
%autosetup -p1 -n excitingtools-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x dev,h5-parsing,schemaparsing


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-excitingtools -f %{pyproject_files}


%changelog
%autochangelog